# OpenID Connect (OIDC) auth against which requests should be checked using token introspection
oidc_auth:
  # Realms for auth roles to be used
  realms:
    - role_names:
        - 'customer_role1'
        - 'customer_role2'
      # OIDC introspection endpoint for of tokens
      introspection_endpoint: 'https://auth-server/protocol/openid-connect/token/introspect'
      # OIDC client_id for auth of this server against auth server
      client_id: ''
      # OIDC client_secret for auth of this server against auth server
      client_secret: ''
    - role_names:
        - 'operator_role'
      # OIDC introspection endpoint for of tokens
      introspection_endpoint: 'https://auth-server/protocol/openid-connect/token/introspect'
      # OIDC client_id for auth of this server against auth server
      client_id: ''
      # OIDC client_secret for auth of this server against auth server
      client_secret: ''
